# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Which
Version:	1.23
Release:	1.%{__distinit}%{__distvers}
Summary:	Portable implementation of the 'which' utility
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/File-Which
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Which-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Env)
BuildRequires:	perl(Test::More) >= 0.47
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
File::Which is a portable implementation (in Perl) of 'which', and can
be used to get the absolute filename of an executable program
installed somewhere in your PATH, or just check for its existence.

%prep
%setup -q -n File-Which-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Which.3*

%changelog
* Wed Jan  2 2019 Paul Howarth <paul@city-fan.org> - 1.23-1
- Update to 1.23
  - Internally use IS_WIN instead of IS_DOS for DOS/Windows style operating
    systems; IS_DOS is now an alias for IS_WIN, although these are not public
    interfaces so you shouldn't be using them anyway
- Switch upstream from search.cpan.org to metacpan.org

* Mon Sep 11 2017 Paul Howarth <paul@city-fan.org> - 1.22-1
- Update to 1.22
  - Support for MSYS2 ($^O eq 'msys')
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Aug 25 2016 Paul Howarth <paul@city-fan.org> - 1.21-2
- BR: perl-generators where possible
- Simplify find command using -delete

* Thu Mar  3 2016 Paul Howarth <paul@city-fan.org> - 1.21-1
- Update to 1.21
  - Workaround for nutty cygwin filesystem rules

* Wed Mar  2 2016 Paul Howarth <paul@city-fan.org> - 1.20-1
- Update to 1.20
  - Fix bug where executable named "0" would not be found (GH#7)

* Wed Jul 22 2015 Paul Howarth <paul@city-fan.org> - 1.19-1
- Update to 1.19
  - Relax required Perl back to 5.6.x as this module is upriver to a large
    number of modules
  - No non-core requirements back to 5.6.2

* Mon Jun 15 2015 Paul Howarth <paul@city-fan.org> - 1.18-4
- Perl 5.22 rebuild

* Tue May  5 2015 Paul Howarth <paul@city-fan.org> - 1.18-1
- Update to 1.18
  - Remove prototypes (GH#6)

* Fri May  1 2015 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17
  - Removed pwhich as forewarned in 1.10
  - Migrated to Dist::Zilla (relevant only for development)
  - Minimum supported Perl is 5.8.1
- No longer need to work around pwhich installation

* Mon Mar 30 2015 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Remove use Test::Script from tests that escaped when this requirement
    became optional

* Sun Mar 29 2015 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  - App::pwhich is no longer bundled with File::Which and included in its own
    distribution
  - The pwhich that comes with this distribution is deprecated, and will report
    a warning if you try to use it: you should instead install App::pwhich
  - The pwhich that comes with this distribution will not be installed if
    App::pwhich 1.14 or better is already installed
  - The bundled pwhich will be removed from this distribution soon
  - Make Test::Script an optional dependency
- Explicitly exclude pwhich to avoid conflicting with perl-App-pwhich

* Thu Mar 26 2015 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Fixed bug in pwhich introduced in version 1.10 where only the first file
    was searched for

* Thu Mar 26 2015 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Support for relative and fully qualified paths in Unix

* Thu Mar 26 2015 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Test::Script is now a test instead of runtime requirement; it will be
    entirely removed as a prerequisite in a subsequent release
  - Will now find .exe and .com files (as it should) on cygwin (CPAN RT#83146)
  - Declared required Perl version is now 5.005003
  - Updated repository and maintainer information; source for this dist now
    lives on GitHub
  - New module App::pwhich contains the guts of pwhich; it will be moved into
    a separate dist in the near future
- This release by PLICEASE → update source URL
- Classify buildreqs by usage

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.09-17
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.09-9
- Perl 5.16 post-bootstrap rebuild

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.09-8
- BR: perl(constant), perl(Exporter) and perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 1.09-6
- Don't BR: perl(Test::MinimumVersion) if we're bootstrapping

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1.09-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.09-4
- Rebuild for perl 5.12.1 in Rawhide

* Sun Jun  6 2010 Paul Howarth <paul@city-fan.org> - 1.09-3
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 1.09-2
- Dist tag for Rawhide no longer needs special-casing

* Sun Sep 27 2009 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09 (no changes on Linux)

* Wed Sep 16 2009 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08 (fix pwhich and add a test for it)
- Buildreq perl(Test::Script) >= 1.05

* Wed Jul 29 2009 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07 (general clean-up)
- New upstream maintainer -> new source URL
- Buildreq perl(Test::More)
- Enable AUTOMATED_TESTING and buildreq perl(Test::MinimumVersion),
  perl(Test::CPAN::Meta), perl(Test::Pod)

* Thu May  7 2009 Paul Howarth <paul@city-fan.org> - 0.05-6
- Import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.05-4
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.05-3
- rebuild for new perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.05-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Dec 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.05-2
- find: fixed arguments order.

* Sun Dec 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.05-1
- First build.
